/***********************************************************
 *   Bpm Live - Live BPM counting
 *-----------------------------------------------------------
 *  Copyright (c) 2004 Werner Van Belle, see copyright.txt
 *  http://werner.onlinux.be/bpmlive/
 *  e-mail: werner.van.belle@itek.norut.no
 ***********************************************************/

#ifndef _BPML_H_
#define _BPML_H_

/**-------------------------------------------
 * 		Imports
 **-------------------------------------------*/
#include "version.h"
class QApplication;
class Logic;

/**-------------------------------------------
 * 		Exports
 **-------------------------------------------*/
extern QApplication *app;
extern Logic *mixer_window;
extern bool final_stop ;

/**-------------------------------------------
 * 	Define interpretation
 **-------------------------------------------*/
#ifdef MONO8BIT
typedef signed char sample_type;
#define MAX_AMP 128
#endif

#ifdef STEREO16BIT
#include "stereo-sample2.h"
typedef stereo_sample2 sample_type;
#define MAX_AMP 32768
#endif

#endif
