/***************************************************************************
 *  BpmDj: Free Dj Tools
 * -------------------------------------------------------------------------
 *  Copyright (C) 2004 by Werner Van Belle, see copyright.txt
 *  e-mail: werner.van.belle@itek.norut.no                                
 ***************************************************************************/

#define Allocate(size, type) (type*)myalloc(sizeof(type)*(size), __FILE__, __LINE__)
#define Array(name,size,type) type * name = Allocate(size,type)
#define Reallocate(thing, size, type) (type*)myrealloc(thing,sizeof(type)*(size))
#define Deallocate(thing) myfree(thing);

void * myalloc(int size, const char* file, int line);
void * myrealloc(void* thing, int size);
void   myfree(void*);

