/***********************************************************
 *   Bpm Live - Live BPM counting
 *-----------------------------------------------------------
 *  Copyright (c) 2004 Werner Van Belle, see copyright.txt
 *  http://werner.onlinux.be/bpmlive/
 *  e-mail: werner.van.belle@itek.norut.no
 ***********************************************************/

#ifndef BPMVALUE_H
#define BPMVALUE_H

/**-------------------------------------------
 * 		Imports
 **-------------------------------------------*/
#include <math.h>
#include "cluster.h"

/**-------------------------------------------
 * 		BpmPoint
 **-------------------------------------------*
 * A bpm value, useable for clustering afterward
 */
class BpmPoint: public Point
 {
 	float bpm;
 public:
 	inline void set_value(float nb)
	{
	bpm = nb;
	}
     float  distance(Point * other, Metriek * dp) 
       {
       BpmPoint * P = (BpmPoint*)other;
       return fabs(P->bpm - bpm);
       }
    float BpmPoint::guess();

    void simpledump(int d) ;
 };
 
#endif
