/***********************************************************
 *   Bpm Live - Live BPM counting
 *-----------------------------------------------------------
 *  Copyright (c) 2004 Werner Van Belle, see copyright.txt
 *  http://werner.onlinux.be/bpmlive/
 *  e-mail: werner.van.belle@itek.norut.no
 ***********************************************************/

#ifndef SIGNAL_H
#define SIGNAL_H

/**-------------------------------------------
 * 		Imported                     
 **-------------------------------------------*/
#include <assert.h>

/**-------------------------------------------
 * 		Signal Blocks
 **-------------------------------------------*/
class Signal
 {
 	int l;
	double *c;
 public:
 	Signal() {};
 	Signal(int s) {init(s);};
	void init(int s);
 	int size()
		{ 
		return l; 
		};
	double &operator[](int p) 
		{ 
		assert(p>=0);
		assert(p<l);
		return c[p]; 
		};
	~Signal();
 };

#endif
