/***********************************************************
 *   Bpm Live - Live BPM counting
 *-----------------------------------------------------------
 *  Copyright (c) 2004 Werner Van Belle, see copyright.txt
 *  http://werner.onlinux.be/bpmlive/
 *  e-mail: werner.van.belle@itek.norut.no
 ***********************************************************/

/**-------------------------------------------
 *         Imports
 *-------------------------------------------*/
#include <qapplication.h>
#include <qmessagebox.h>
#include <qlistview.h>
#include <stdlib.h>
#include <stdlib.h>
#include <stdio.h>
#include <assert.h>
#include <stdlib.h>
#include <string.h>
#include <stdio.h>
#include <qlcdnumber.h>
#include <qwidget.h>
#include <fcntl.h>
#include <signal.h>
#include <sys/ioctl.h>
#include <qcombobox.h>
#include <unistd.h>
#include <assert.h>

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include "logic.h"
#include "stereo-sample2.h"
#include "memory.h"
#include "bpmlive-signal.h"

/**-------------------------------------------
 *         Parsing arguments 
 *-------------------------------------------*/
QApplication *app;
Logic *mixer_window;
bool final_stop = false;

bool show_error(int err, int err2, const char*text)
{
  if (err==err2)
    {
      const QString a=QString("Error");
      const QString b=QString(text);
      QMessageBox::critical(NULL,a,b,QMessageBox::Ok,0,0);
      return true;
    }
  return false;
}

#define  mperiod2bpm(period) (4.0*(double)WAVRATE*60.0/(double)(period))
#define FACTOR 4

int main(int argc, char **argv)
{
	app = new QApplication(argc,argv);
	mixer_window = new Logic();
	app->setMainWidget(mixer_window);
	mixer_window->show();
	app->exec();
}

