/****
 BpmDj: Free Dj Tools
 Copyright (C) 2001-2004 Werner Van Belle
 See 'BeatMixing.ps' for more information

 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.
 
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
****/

#ifndef COMMON_H
#define COMMON_H
#include <stdio.h>
#include <string.h>

void   common_init();
bool   strxeq(const char* a, const char* b); // also works when a or b or NULL
char * findUniqueName(const char* filename); // will prefix the extention of filename with a number until a unique filename is found
bool   exists(const char* fn);
double minimum(double a, double b);
double abs_minimum(double a, double b);
double atod(const char* str);
char * tohex(long i);
long   toint(const char* name);
int    clip(int val);
inline bool option(char* arg, char* name) { return strcmp(arg,name)==0; };
inline bool option(char* arg, char* namea, char* nameb) { return (strcmp(arg,namea)==0 || strcmp(arg,nameb)==0); };
#endif
