/***************************************************************************
 *  BpmDj: Free Dj Tools
 * -------------------------------------------------------------------------
 *  Copyright (C) 2004 by Werner Van Belle, see copyright.txt
 *  http://bpmdj.sourceforge.net/
 *  e-mail: werner.van.belle@itek.norut.no
 ***************************************************************************/

#ifndef STEREO_SAMPLE2
#define STEREO_SAMPLE2
#include "basic-types.h"

class stereo_sample2 
{
 public:
  signed2 left;
  signed2 right;
  stereo_sample2()
    {
      left = 0;
      right = 0;
    }
  stereo_sample2(signed short int l, signed short int r)
    {
      left = l;
      right = r;
    }
  unsigned4 & value()
    {
      return *((unsigned4*)((void*)&left));
    }
  void value(unsigned4 v)
    {
      *(unsigned4*)(&left) = v;
    }
  inline stereo_sample2 muldiv(signed4 mul, signed4 div)
    {
      return stereo_sample2(((signed4)left)*mul/div,
			    ((signed4)right)*mul/div);
    }
  inline stereo_sample2 muldiv2(signed4 mull, signed4 divl, signed4 mulr, signed4 divr)
    {
      return stereo_sample2(((signed4)left)*mull/divl,
			    ((signed4)right)*mulr/divr);
    }
  inline stereo_sample2 add(signed4 l, signed4 r)
    {
      return stereo_sample2(left+l,right+r);
    }
};
#endif
